Subject: Fwd: [X2Go-Dev] Google Chrome and chromium-browser both crash when their advanced settings menu is accessed (Windows X2GoClient)

From: Stefan Baur <[email-masked]>
Date: Tue, 21 May 2013 11:57:00 +0200

Package: x2goclient
Version: 4.0.0.3
Severity: important

-------- Original-Nachricht --------
Betreff: [X2Go-Dev] Google Chrome and chromium-browser both crash when 
their advanced settings menu is accessed (Windows X2GoClient)
Datum: Thu, 16 May 2013 13:55:24 +0200
Von: Stefan Baur <[email-masked]>
Antwort an: [email-masked]
An: [email-masked]

Hi,

this is basically a repeat of Message-ID:
<[email-masked]>, as the problem still hasn't been fixed.

I'm not copying it to the bugtracker directly as I am not sure whether
it is a client- or server-side issue, or both.
@DEVs: Please advise how it should be tagged, or forward and tag it
yourself.

What's new is that I've now also tried it on Debian Wheezy with the
following packages installed on the server:

dpkg -l | grep x2go
ii  cups-x2go 3.0.0.4-0~x2go1+wheezy~main~62~build1  all
Virtual X2Go printer for CUPS
ii  x2go-keyring 2012.07.23+wheezy~main~17~build1       all
GnuPG keys of all X2Go developers and the X2Go archive
ii  x2goagent 2:3.5.0.20-0+wheezy~main~405~build1    all          X2Go agent
ii  x2goserver 4.0.0.1-0~x2go1+wheezy~main~648~build1 i386         X2Go
server daemon scripts
ii  x2goserver-extensions 4.0.0.1-0~x2go1+wheezy~main~648~build1
all          X2Go server daemon scripts (extensions)
ii  x2goserver-printing 4.0.0.1-0~x2go1+wheezy~main~648~build1
all          X2Go server daemon scripts (printing)

dpkg -l | grep nx
ii  libnx-x11 2:3.5.0.20-0+wheezy~main~405~build1    i386         nx-X11
ii  nxagent 2:3.5.0.20-0+wheezy~main~405~build1    i386         NX agent

On the client side, I am now using X2GoClient V. 4.0.0.3 on Windows 7
(32-bit, German)

Note: The problem is *independent* of the compression *settings* (it
occurs with WAN/nopack as well), but it does *not* occur when bypassing
X2Go and running an unaccelerated, regular X session via SSH - with the
X Server "stolen" from the X2GoClient package. Also, it doesn't matter
which version of the X2GoClient you use, both the interim client and the
new one show this behavior in their 4.0.0.3 versions.

What happens: Whenever you try to access the advanced settings/proxy
settings in chromium-browser or Google Chrome, vcxsrv.exe crashes.

The following problem details are given:

Problemsignatur:
   Problemereignisname:    APPCRASH
   Anwendungsname:    vcxsrv.exe
   Anwendungsversion:    0.0.0.0
   Anwendungszeitstempel:    4f852997
   Fehlermodulname:    vcxsrv.exe
   Fehlermodulversion:    0.0.0.0
   Fehlermodulzeitstempel:    4f852997
   Ausnahmecode:    c0000005
   Ausnahmeoffset:    00160860
   Betriebsystemversion:    6.1.7601.2.1.0.768.3
   Gebietsschema-ID:    1031
   Zusatzinformation 1:    0a9e
   Zusatzinformation 2:    0a9e372d3b4ad19135b953a78882e789
   Zusatzinformation 3:    0a9e
   Zusatzinformation 4:    0a9e372d3b4ad19135b953a78882e789

Lesen Sie unsere Datenschutzbestimmungen online:
   http://go.microsoft.com/fwlink/?linkid=104288&clcid=0x0407

Wenn die Onlinedatenschutzbestimmungen nicht verfügbar sind, lesen Sie
unsere Datenschutzbestimmungen offline:
   C:\windows\system32\de-DE\erofflps.txt

It would be really cool if you see to getting this fixed soon, some of
my users really want to use Chrome these days.

Kind Regards,
Stefan
_______________________________________________
X2Go-Dev mailing list
[email-masked]
https://lists.berlios.de/mailman/listinfo/x2go-dev